// creator  : weidu.exe (version 23100)
// argument : _BARESH.DLG
// game		 : .
// source	 : ./override/_BARESH.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_BARESH~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #83458 /* ~Hirelings return. Master Selaad awaits thee.~ */
  IF ~~ THEN REPLY #83459 /* ~You are mistaken, good fellow. We return to meet Mendas of Waterdeep.~ */ GOTO 1
  IF ~~ THEN REPLY #83460 /* ~Who is this Selaad you speak of?~ */ GOTO 2
  IF ~~ THEN REPLY #83461 /* ~Out of my way, fool. I haven't the patience this evening.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 4.2 3.2 0.0
  SAY #83462 /* ~The master has many names on this accursed soil. Selaad is the only true one. It is not thy concern.~ */
  IF ~~ THEN REPLY #83463 /* ~This tale grows thicker with each telling. Is Mendas, or Selaad, if you will, the mate of Kaishas Gan?~ */ GOTO 2
  IF ~~ THEN REPLY #83464 /* ~I will decide whether or not it is my concern. Who are you?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0 0.1
  SAY #83465 /* ~Selaad Gan is the chief of the true people. He awaits the return of his mate Kaishas. Why have thee not returned with her?~ */
  IF ~~ THEN REPLY #83466 /* ~It is not your place to question me. What part do you play in this?~ */ GOTO 4
  IF ~~ THEN REPLY #83467 /* ~It seems that we have been deceived. Kaishas is dead and her murderous ilk died with her.~ */ GOTO 5
  IF ~PartyHasItem("_BOOK87")
~ THEN REPLY #83468 /* ~We were hired to retrieve the logbook of Balduran. Here we have brought it and now we expect payment.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #83469 /* ~The master wishes to see his wife, Kaishas Gan. Is she on the vessel still?~ */
  IF ~~ THEN REPLY #83467 /* ~It seems that we have been deceived. Kaishas is dead and her murderous ilk died with her.~ */ GOTO 5
  IF ~~ THEN REPLY #83470 /* ~It is not your business. Step aside.~ */ GOTO 7
  IF ~~ THEN REPLY #83471 /* ~Who is your master? We work for Mendas of Waterdeep.~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 7.1 2.0 1.1
  SAY #83472 /* ~I am Baresh. I am of the true race as thee are not. The master wishes to see his wife, Kaishas Gan. Is she on the vessel still?~ */
  IF ~~ THEN REPLY #83467 /* ~It seems that we have been deceived. Kaishas is dead and her murderous ilk died with her.~ */ GOTO 5
  IF ~~ THEN REPLY #83470 /* ~It is not your business. Step aside.~ */ GOTO 7
  IF ~~ THEN REPLY #83471 /* ~Who is your master? We work for Mendas of Waterdeep.~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 7.0 6.0 4.0 3.0 2.1
  SAY #83473 /* ~Murderous wretch! Filth! The master will eat thy marrow for this.~ */
  IF ~~ THEN DO ~SetGlobal("Baresh","GLOBAL",1)
MoveToObject("door1004")
OpenDoor("door1004")
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 2.2
  SAY #83474 /* ~The book is nothing! Thy task was to rescue the master's kin. Where is the master's mate, Kaishas?~ */
  IF ~~ THEN REPLY #83467 /* ~It seems that we have been deceived. Kaishas is dead and her murderous ilk died with her.~ */ GOTO 5
  IF ~~ THEN REPLY #83470 /* ~It is not your business. Step aside.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.1 4.1 3.1
  SAY #83475 /* ~Thy task was clear. Travel to the island-home and retrieve master's kin. Failing that, Kaishas was to take the sea charts from thee. Useless manlings! Selaad does not brook failure well.~ */
  IF ~~ THEN REPLY #83476 /* ~Idiot! We were sent on false pretences and somehow it is our fault? Kaishas attacked us and we were forced to defend ourselves. Mendas was betrayed by his own cleverness.~ */ GOTO 5
  IF ~~ THEN REPLY #83477 /* ~Mendas deceived us. He is the one that we must confront. You are merely a flunky.~ */ GOTO 4
END
